#!/bin/bash

# This can be found under the Installation Command script box of Smart Software
downloadFolder='YOUR SOFTWARE PATH'

# Clean out then make fresh Baseline configuration directory
rm -rf /usr/local/Baseline/ || true
mkdir -p /usr/local/Baseline/Scripts || true
mkdir -p /usr/local/Baseline/Packages || true
mkdir -p /usr/local/Baseline/Icons || true

IFS=$'\n'
for file in $(ls ${downloadFolder}); do
    case $file in
        *".sh")
            echo "Adding ${file} to Scripts"
            mv "${downloadFolder}/${file}" '/usr/local/Baseline/Scripts'
            chmod +x "/usr/local/Baseline/Scripts/${file}"
            chown root "/usr/local/Baseline/Scripts/${file}"
            ;;
        *".pkg")
            echo "Adding ${file} to Packages"
            mv "${downloadFolder}/${file}" '/usr/local/Baseline/Packages'
            ;;
        *".png"|*".icns"|*".jpg"|*".svg")
            echo "Adding ${file} to Icons"
            mv "${downloadFolder}/${file}" '/usr/local/Baseline/Icons'
            ;;
        *".plist")
            echo "Adding ${file} to Baseline"
            mv "${downloadFolder}/${file}" '/usr/local/Baseline/'
            ;;
        *)
            echo "${file}: File type not recognized for use in Baseline. Not moving file into /usr/local/Baseline"
            ;;
    esac
done

installLink="$(curl -s "https://api.github.com/repos/SecondSonConsulting/Baseline/releases/latest" | json_pp | grep -v NoDaemon | tr -d '",' | awk -F ': ' '/browser_download_url/ {print $NF}')"
curl -L -s -o "/tmp/$(echo ${installLink} | awk -F '/' '{print $NF}')" "${installLink}"
/usr/sbin/installer -pkg "/tmp/$(echo ${installLink} | awk -F '/' '{print $NF}')" -target /